Uploaded image for project: 'Derby'
  1. Derby
  2. DERBY-6974

Deprecate support for building Derby under JDK 8

Attach filesAttach ScreenshotAdd voteVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 10.15.1.3
    • Fix Version/s: None
    • Component/s: Build tools
    • Labels:
      None
    • Urgency:
      Normal

      Description

      In July, the Derby community voted to deprecate support for JDK 8 and move development on the 10.15 trunk to JDK 9. See http://apache-database.10148.n7.nabble.com/RESULT-VOTE-Sunsetting-support-for-Java-8-td147735.html

      This issue tracks the work of converting the Derby build from JDK 8 to JDK 9 and higher. This effort relies on the work already done on DERBY-6856.

      Platform-specific distributions of Oracle JDK 9 can be found here: http://www.oracle.com/technetwork/java/javase/downloads/jdk9-downloads-3848520.html

        Attachments

        1. derby-6974-02-ab-minVersion9.diff
          0.4 kB
          Richard N. Hillegas
        2. derby-6974-02-minVersion1.9.diff
          0.4 kB
          Richard N. Hillegas
        3. derby-6974-01-ab-deprecateJDK8.diff
          39 kB
          Richard N. Hillegas
        4. derby-6974-01-aa-deprecateJDK8.diff
          39 kB
          Richard N. Hillegas

        Issue Links

          Activity

            People

            • Assignee:
              rhillegas Richard N. Hillegas
              Reporter:
              rhillegas Richard N. Hillegas

              Dates

              • Created:
                Updated:

                Issue deployment